#include "Delay.h"

void delay_us(uint32_t time_us)
{
  SysTick->LOAD  = 24 * time_us-1;					/* 24 -> SysClc frecuency in MHz */
  SysTick->VAL   = 0;								/* Load the SysTick Counter Value */
  SysTick->CTRL  |= SysTick_CTRL_ENABLE_Msk;		/* Enable SysTick Timer */

  do {
  } while ((SysTick->CTRL & SysTick_CTRL_COUNTFLAG)==0);
  SysTick->CTRL  &= ~SysTick_CTRL_ENABLE_Msk;		/* Disable SysTick Timer */
  SysTick->VAL   = 0;								/* Load	the SysTick Counter Value */
}

void delay_ms(uint16_t time_ms)
{
  while (time_ms>0)
  {
    delay_us(1000);
    time_ms--;
  }
}

